> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Organizations

> List paginated organizations in this enterprise

Requires an enterprise admin personal API key.

Returns a paginated list of all organizations within your enterprise.


## OpenAPI

````yaml /v2-openapi.yaml GET /v2/enterprise/organizations
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations:
    get:
      tags:
        - organizations
      summary: Enterprise Organizations Endpoint
      description: List paginated organizations in this enterprise
      operationId: enterprise_organizations_endpoint_v2_enterprise_organizations_get
      parameters:
        - in: query
          name: skip
          required: false
          schema:
            default: 0
            minimum: 0
            title: Skip
            type: integer
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_OrganizationResponse_'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    PaginatedResponse_OrganizationResponse_:
      properties:
        has_more:
          title: Has More
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/OrganizationResponse'
          title: Items
          type: array
        limit:
          title: Limit
          type: integer
        next_cursor:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Cursor
        skip:
          title: Skip
          type: integer
        total:
          title: Total
          type: integer
      required:
        - items
        - total
        - skip
        - limit
        - has_more
      title: PaginatedResponse[OrganizationResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    OrganizationResponse:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        max_cycle_acu_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Cycle Acu Limit
        max_session_acu_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Session Acu Limit
        org_admin_count:
          default: 0
          title: Org Admin Count
          type: integer
        org_id:
          title: Org Id
          type: string
        org_member_count:
          default: 0
          title: Org Member Count
          type: integer
        org_name:
          title: Org Name
          type: string
        org_user_count:
          default: 0
          title: Org User Count
          type: integer
      required:
        - org_id
        - org_name
        - created_at
      title: OrganizationResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````